# Class WarWatcher.WarInfo

java.lang.Object
org.apache.catalina.ha.deploy.WarWatcher.WarInfo

Enclosing class:
  `WarWatcher`

protected static class WarWatcher.WarInfo extends Object
File information on existing WAR files

## Field Summary

Fields
Modifier and Type
Field
Description
`protected long`
`lastChecked`
`protected long`
`lastState`
`protected final File`
`war`

## Constructor Summary

Constructors
Constructor
Description
`WarInfo(File war)`

## Method Summary

Modifier and Type
Method
Description
`int`
`check()`
Returns 1 if the file has been added/modified, 0 if the file is unchanged and -1 if the file has been removed
`boolean`
`equals(Object other)`
`boolean`
`exists()`
`File`
`getWar()`
`int`
`hashCode()`
`boolean`
`modified()`
`protected void`
`setLastState(int lastState)`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### war

protected final File war

### lastChecked

protected long lastChecked

### lastState

protected long lastState

## Constructor Details

### WarInfo

public WarInfo(File war)

## Method Details

### modified

public boolean modified()

### exists

public boolean exists()

### check

public int check()
Returns 1 if the file has been added/modified, 0 if the file is unchanged and -1 if the file has been removed

Returns:
  int 1=file added; 0=unchanged; -1=file removed

### getWar

public File getWar()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### setLastState

protected void setLastState(int lastState)